Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Class SaxonErrorCode

    java.lang.Object
      net.sf.saxon.trans.SaxonErrorCode

public class SaxonErrorCode
extends java.lang.Object

The class acts as a register of Saxon-specific error codes.

Technically, these codes should be in their own namespace. At present, however, they share the same namespace as system-defined error codes.

Field Summary
`static java.lang.String` | `SXCH0002` SXCH0002: cannot supply output to ContentHandler because it is not well-formed
`static java.lang.String` | `SXIN0004` SXIN0004: input document is not a stylesheet
`static java.lang.String` | `SXLM0001` SXLM0001: stylesheet or query appears to be looping/recursing indefinitely
`static java.lang.String` | `SXWN9001` SXWN9001: a variable declaration with no following siblings has no effect
`static java.lang.String` | `SXWN9002` SXWN9002: saxon:indent-spaces must be a positive integer
`static java.lang.String` | `SXWN9003` SXWN9003: saxon:require-well-formed must be a "yes" or "no"
`static java.lang.String` | `SXWN9004` SXWN9004: saxon:next-in-chain cannot be specified dynamically
`static java.lang.String` | `SXXP0003` SXXP0003: error reported by XML parser while parsing source document

Constructor Summary
`SaxonErrorCode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SXLM0001

    public static final java.lang.String SXLM0001

  SXLM0001: stylesheet or query appears to be looping/recursing indefinitely

  See Also:
    Constant Field Values

### SXCH0002

    public static final java.lang.String SXCH0002

  SXCH0002: cannot supply output to ContentHandler because it is not well-formed

  See Also:
    Constant Field Values

### SXXP0003

    public static final java.lang.String SXXP0003

  SXXP0003: error reported by XML parser while parsing source document

  See Also:
    Constant Field Values

### SXIN0004

    public static final java.lang.String SXIN0004

  SXIN0004: input document is not a stylesheet

  See Also:
    Constant Field Values

### SXWN9001

    public static final java.lang.String SXWN9001

  SXWN9001: a variable declaration with no following siblings has no effect

  See Also:
    Constant Field Values

### SXWN9002

    public static final java.lang.String SXWN9002

  SXWN9002: saxon:indent-spaces must be a positive integer

  See Also:
    Constant Field Values

### SXWN9003

    public static final java.lang.String SXWN9003

  SXWN9003: saxon:require-well-formed must be a "yes" or "no"

  See Also:
    Constant Field Values

### SXWN9004

    public static final java.lang.String SXWN9004

  SXWN9004: saxon:next-in-chain cannot be specified dynamically

  See Also:
    Constant Field Values

Constructor Detail

### SaxonErrorCode

    public SaxonErrorCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD